Bug 1530356 (CVE-2018-5683)

Summary: CVE-2018-5683 Qemu: Out-of-bounds read in vga_draw_text routine
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amitshah, apevec, areis, berrange, cfergeau, chrisw, drjones, dwmw2, imammedo, itamar, jen, jforbes, jjoyce, jpadman, jschluet, kbasil, knoel, kraxel, lhh, lpeer, markmc, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, security-response-team, slinaber, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20171225,reported=20171228,source=researcher,cvss2=2.3/AV:A/AC:M/Au:S/C:N/I:N/A:P,cvss3=3.0/CVSS:3.0/AV:A/AC:H/PR:L/UI:N/S:C/C:N/I:N/A:L,cwe=CWE-125,fedora-all/xen=affected,fedora-all/qemu=affected,openstack-6/qemu-kvm-rhev=wontfix,openstack-7/qemu-kvm-rhev=wontfix,openstack-8/qemu-kvm-rhev=affected,openstack-9/qemu-kvm-rhev=affected,openstack-12/qemu-kvm-rhev=affected,openstack-11/qemu-kvm-rhev=affected,openstack-10/qemu-kvm-rhev=affected,rhel-7/qemu-kvm-rhev=affected,rhel-7/qemu-kvm=affected,rhel-6/qemu-kvm=affected,rhel-5/xen=wontfix,rhel-5/kvm=wontfix,rhel-7/qemu-guest-agent=affected,rhel-alt-7/qemu-kvm=affected,rhel-8/qemu-kvm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An out-of-bounds read access issue was found in the VGA emulator of QEMU. It could occur in vga_draw_text routine, while updating display area for a vnc client. A privileged user inside a guest could use this flaw to crash the QEMU process resulting in DoS.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:36:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1534671, 1534672, 1534680, 1534681, 1534682, 1534683, 1534684, 1534685, 1534686, 1534687, 1534688, 1534689, 1534690, 1534691, 1534692, 1534693    
Bug Blocks: 1530362, 1534927    

Description Pedro Sampaio 2018-01-02 18:06:43 UTC
Quick Emulator(QEMU) built with the VGA emulator support is vulnerable to an out-of-bounds access issue in vga_draw_text. It could occur while updating vga display area.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-01/msg02131.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2018/01/15/2

Comment 1 Pedro Sampaio 2018-01-02 18:06:57 UTC
Acknowledgments:

Name: Jiang Xin, Lin ZheCheng

Comment 3 Prasad J Pandit 2018-01-15 17:33:56 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1534672]


Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1534671]

Comment 8 Gerd Hoffmann 2018-01-26 06:47:56 UTC
upstream commit 191f59dc17396bb5a8da50f8c59b6e0a430711a4

Comment 9 Joshua Padman 2018-02-06 21:00:58 UTC
Red Hat OpenStack 6 will be End of Life on the 17th of February. Marking flaws as wontfix.

Comment 10 Joshua Padman 2018-04-03 23:00:26 UTC
Red Hat OpenStack 7 will not be supported on RHEL 7.5, where the fix is being release. Marking OpenStack 7 as wontfix.

Comment 11 errata-xmlrpc 2018-04-10 08:25:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0816 https://access.redhat.com/errata/RHSA-2018:0816

Comment 12 errata-xmlrpc 2018-04-10 19:00:15 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for RHEL-7

Via RHSA-2018:1104 https://access.redhat.com/errata/RHSA-2018:1104

Comment 13 Joshua Padman 2018-04-25 23:07:28 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8
  Red Hat OpenStack Platform 9
  Red Hat OpenStack Platform 10
  Red Hat OpenStack Platform 11
  Red Hat OpenStack Platform 12

https://access.redhat.com/errata/RHSA-2018:1113

Comment 14 errata-xmlrpc 2018-07-10 17:52:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2162 https://access.redhat.com/errata/RHSA-2018:2162